Subject: [core] CORECONF protocol name and other discussions

From: Ivaylo Petrov <[email-masked]>
Date: Mon, 22 Jun 2020 13:52:53 +0200

Dear all,

We recently pushed the last remaining changes that we were planning on
doing related to the CORECONF drafts [1], [2], [3], [4]. As always, we
greatly appreciate your feedback and comments.

The only point that I am not entirely sure how to handle is the name CoMI
vs CORECONF. In theory what Carsten and others have been suggesting is
clear - CoMI is the CoAP protocol and CORECONF is the complete solution
with Content formats. When I tried to put that into the document, I believe
there might still be some confusion as to why the CoAP protocol part needs
a name (you can find here [5] my attempt at that). If we think we could be
using it with a different content format, maybe that would be worth the
effort and I will try to modify the text so that the CoAP part is generic
in terms of Content format and there is extra text that binds this to the
Content format of CORECONF. Alternatively, we could simply decide which
name to use CORECONF (see attachment
draft-ietf-core-comi-coreconf-only.txt) or CoMI (draft-ietf-core-comi.txt).

Please let us know what your suggestions are.

Best regards,
Ivaylo

[1]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-sid&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-sid-latest.txt
[2]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-yang-cbor&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-yang-cbor-latest.txt
[3]:
https://tools.ietf.org/rfcdiff?url1=https://tools.ietf.org/id/draft-ietf-core-comi.txt&url2=https://core-wg.github.io/comi/draft-ietf-core-comi.txt
[4]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-yang-library&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-yang-library-latest.txt
[5]: https://github.com/core-wg/comi/tree/coreconf-and-comi